Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.tapestry5.corelib
Enum LoopFormState

    java.lang.Object
      java.lang.Enum<LoopFormState>
          org.apache.tapestry5.corelib.LoopFormState

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<LoopFormState>

    public enum LoopFormState

extends java.lang.Enum<LoopFormState>

Identifies how a `LoopFormState` component stores state into the `FormSupport` object.

Since:
  5.1.0.4

Enum Constant Summary
`ITERATION` Only enough state to iterate over the source values is stored.
`NONE` No state of any kind is stored, as if the Loop was not contained within a `Form`.
`VALUES` Stores a sequence of values (obtained via a `ValueEncoder`) into the Form state.

Method Summary
`static LoopFormState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static LoopFormState[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final LoopFormState NONE

  No state of any kind is stored, as if the Loop was not contained within a `Form`.

### ITERATION

    public static final LoopFormState ITERATION

  Only enough state to iterate over the source values is stored. When the Form is submitted, the Loop will re-acquire its source and iterate over it. This is equivalent to "volatile" mode in Tapestry 5.0. This can be subject to race conditions when the values within the source change between render and submit.

### VALUES

    public static final LoopFormState VALUES

  Stores a sequence of values (obtained via a `ValueEncoder`) into the Form state. The source parameter is not re-acquired when the Form is submitted.

Method Detail

### values

    public static final LoopFormState[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(LoopFormState c : LoopFormState.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static LoopFormState valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2012 The Apache Software Foundation.